Changeset 31803


Ignore:
Timestamp:
07/13/17 19:32:21 (3 years ago)
Author:
ak19
Message:

About 2 fixes to get imagemagick to compile up on Ubuntu v 16.04: 1. Dr Bainbridge fixed up PKGCONFIG.sh to not have lintl in its LIBS, and instead to run the configure command without setting LIBS and without involving lintl (a lib for internationalization, like encoding stuff). The LIBS may be necessary on El Capitan for which Dr Bainbridge appears to have first included the PKG-CONFIG.SH compile script and pkg-config in the first place. So the script now sets the LIBS with lintl for darwin, while for other unix, it doesn't set LIBS but runs configure directly and without lintl. 2. libiconv had a gets vs fgets issue. Fixed with a patch found online. This resulted in a greenstone version of the libiconv version we're using. The patch is now documented in the README.txt folder in imagemagick/packages.

Location:
gs2-extensions/imagemagick/trunk/src/packages
Files:
2 added
2 edited

Legend:

Unmodified
Added
Removed
  • gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/LIBICONV.sh

    r30675 r31803  
    11#!/bin/bash
    22
    3 package=libiconv
     3package=gs-libiconv
    44version=-1.14
    55
  • gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/PKG-CONFIG.sh

    r30675 r31803  
    1717
    1818opt_run_untar $force_untar $auto_untar $package $version
    19 LIBS=-lintl opt_run_configure $force_config $auto_config $package $version $prefix \
    20   --with-internal-glib --disable-shared
     19if [ "x$GSDLOS" = "xdarwin" ] ; then
     20    LIBS=-lintl opt_run_configure $force_config $auto_config $package $version $prefix \
     21    --with-internal-glib --disable-shared
     22else
     23    opt_run_configure $force_config $auto_config $package $version $prefix \
     24              --with-internal-glib --disable-shared
     25fi
    2126
    2227opt_run_make $compile $package $version
Note: See TracChangeset for help on using the changeset viewer.